Bug 477624 - mysql calls to pthread_setschedparam cause EINVAL
mysql calls to pthread_setschedparam cause EINVAL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 10:01 EST by Steve Grubb
Modified: 2013-07-02 23:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: mysql-5.1.55-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 02:31:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch attempting to fix problem (1.55 KB, patch)
2008-12-22 10:01 EST, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2008-12-22 10:01:12 EST
Created attachment 327662 [details]
patch attempting to fix problem

Description of problem:
During our IDS work it was noticed that mysql creates copious amounts of syscalls that return EINVAL. The cause is during SCHED_OTHER policy, the sched_priority
value must be 0. Since the purpose of the call to pthread_setschedparam is to set the priority, we should noop the use of that function.

How reproducible:
always

Steps to Reproduce:
1. add the following audit rule: -a always,exit -S sched_setscheduler -F exit=-EINVAL -k einval
2. reboot machine with mysql running
3. ausearch --start today -k einval
  
Adding patch that should fix the problem.
Comment 1 Tom Lane 2009-04-07 17:41:10 EDT
I don't see any very good reason why I shouldn't close this NOTABUG.  The code isn't causing anything bad to happen; moreover, the proposed patch doesn't appear to have any connection to the actual use of  pthread_setschedparam --- it's called with SCHED_POLICY, not SCHED_OTHER.
Comment 5 Bug Zapper 2009-06-09 23:27:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tom Lane 2009-06-10 00:06:40 EDT
This is fixed in F-11 ... how much do you care about prior branches?
Comment 7 Bug Zapper 2009-07-14 12:37:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Tom Lane 2011-01-06 00:21:27 EST
Hmm ... not sure whether mysql has changed since 5.1.33 or whether the original patch failed to fix the problem at all, but this issue has definitely come back as of 5.1.52.  It looks like we have to disable use of both pthread_setschedparam and pthread_setschedprio to suppress these calls.
Comment 9 Fedora Update System 2011-01-06 01:36:03 EST
mysql-5.1.52-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mysql-5.1.52-2.fc14
Comment 10 Fedora Update System 2011-01-06 14:25:32 EST
mysql-5.1.52-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mysql'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mysql-5.1.52-2.fc14
Comment 11 Fedora Update System 2011-02-11 11:15:34 EST
mysql-5.1.55-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mysql-5.1.55-1.fc14
Comment 12 Fedora Update System 2011-02-11 11:15:43 EST
mysql-5.1.55-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mysql-5.1.55-1.fc13
Comment 13 Fedora Update System 2011-02-21 02:31:39 EST
mysql-5.1.55-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-02-21 02:32:00 EST
mysql-5.1.55-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.